package com.uavps.system.mapper;

import com.uavps.system.domain.UavpsAircraft;

import java.util.List;

/**
 * 飞机数据Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public interface UavpsAircraftMapper {
    /**
     * 查询飞机数据
     *
     * @param bizId 飞机数据主键
     * @return 飞机数据
     */
    public List<UavpsAircraft> selectUavpsAircraftByBizId(String bizId);

    /**
     * 查询飞机数据列表
     *
     * @param uavpsAircraft 飞机数据
     * @return 飞机数据集合
     */
    public List<UavpsAircraft> selectUavpsAircraftList(UavpsAircraft uavpsAircraft);

    /**
     * 新增飞机数据
     *
     * @param uavpsAircraft 飞机数据
     * @return 结果
     */
    public int insertUavpsAircraft(UavpsAircraft uavpsAircraft);

    /**
     * 修改飞机数据
     *
     * @param uavpsAircraft 飞机数据
     * @return 结果
     */
    public int updateUavpsAircraft(UavpsAircraft uavpsAircraft);

    /**
     * 删除飞机数据
     *
     * @param bizId 飞机数据主键
     * @return 结果
     */
    public int deleteUavpsAircraftByBizId(String bizId);

    /**
     * 批量删除飞机数据
     *
     * @param bizIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUavpsAircraftByBizIds(String[] bizIds);
}
